%define name		jce
%define version		1.2.2
%define cvs_version	1_2_2
%define foo_version	1.2.2
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Cryptography Extension
License:	Sun Binary Code License
Group:		Security/Cryptography
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}.zip
NoSource:	0
URL:		http://java.sun.com/products/jce/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JavaTM Cryptography Extension (JCE) provides a framework and 
implementations for encryption, key generation and key agreement, and 
Message Authentication Code (MAC) algorithms. 
Support for encryption includes symmetric, asymmetric, block, and stream ciphers. 
The software also supports secure streams and sealed objects.
Caution, this package doesn't contain any non-distributable sources. You
have to download them and rebuild before use.

%package manual
Group:		Security/Cryptography
Summary:	Manual for %{name}

%description manual
Manual for %{name}.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}%{foo_version}

%build
# Not :(

%install
mkdir -p $RPM_BUILD_ROOT%{javadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp lib/jce%{cvs_version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}/jce-%{version}.jar
cp lib/local_policy.jar $RPM_BUILD_ROOT%{javadir}/%{name}/local_policy-%{version}.jar
cp lib/sunjce_provider.jar $RPM_BUILD_ROOT%{javadir}/%{name}/sunjce_provider-%{version}.jar
cp lib/US_export_policy.jar $RPM_BUILD_ROOT%{javadir}/%{name}/US_export_policy-%{version}.jar
cp -pr doc/apidoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/
# jar versioning
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%files
%defattr(0644,root,root,0755)
%doc *.html LICENSE  README
%{javadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc doc/guide/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%changelog
* Wed Feb 19 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.2-1jpp
- JCE 1.2.2
